TypeError: Cannot read properly 'height' undefined RPG Maker MV

Discussion in 'Javascript/Plugin Support' started by GlimpseOfAPast, Oct 31, 2017.

Thread Status:
Not open for further replies.
  1. GlimpseOfAPast

    GlimpseOfAPast Warper Member

    Messages:
    2
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    Alright so I just recently found out how to add plugins. The only plugins I have currently so far is the Battle Engine Core and the Animated SV Enemies. I'm trying to make an Actor become an enemy, which it shows up on the battle and everything, the only problem is that when I try to have my character attack and it shows her weapon (Which is a claw), it freezes, then that error "TypeError: Cannot read properly 'height' undefined" comes up. I noticed when my character guards however, everything works out fine and the enemy actor is able to attack and use skills, but when I attack, of course that error always comes up. So I'm not too sure if I need to add another plugin, or if something on there needs tweaking? Still pretty new to this all. If I'm missing any additional information, let me know.
    upload_2017-10-30_15-4-56.png
     

    Attached Files:

    #1
  2. Shaz

    Shaz Veteran Veteran

    Messages:
    37,960
    Likes Received:
    11,615
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    RMMV
    Did you start a new game after adding the plugin, or did you resume a game you'd saved earlier?

    Have you set up the plugin correctly?
    Have you set up the tags correctly?

    Seems it's having trouble finding an image for the animated enemy, or some other setting that it needs to draw the height from.
     
    #2
  3. GlimpseOfAPast

    GlimpseOfAPast Warper Member

    Messages:
    2
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    Yes, I'm barely getting everything up so I always start from a new game.
    As for the plugins, I had went into the games file, then the js folder, then plugins and added them there then turned them on in the plugin manager.

    For the tags, I had to use the sideview height and width for the animated enemy for it to show as the actor, but when my actor (main character) attacks and shows her claw attacking, that's when it freezes. So not sure if I need to add another tag or something for her weapon in particular, or if I'm messing something up on the plugins or something. >.<
     
    #3
  4. Shaz

    Shaz Veteran Veteran

    Messages:
    37,960
    Likes Received:
    11,615
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    RMMV
    Turning them on isn't always all that's required. If there are plugin parameters you need to check those as well and make sure they're set up correctly. One problem you might encounter is if you have several plugins that use switches, they might default to using the same switches. You don't want that. So if you just "add the plugins and turn them on" you could end up with a lot of problems because you haven't configured them properly.

    You didn't say in the original post that it freezes. What's happening in the screenshot is a crash, not a freeze. So do you have two issues - one freezing and one crashing? Or are you using both terms for the same thing? Be careful with that - you need to describe the problem very carefully, or we could go off looking for something completely different.

    If you have several plugins, you start getting into "make sure they're in the right order" territory. Especially with Yanfly's plugins, they need to go in a specific order, and if you don't have them in the right order, things will either just not work (as if the plugin isn't there), or will crash. But it's not just Yanfly's - every time you add a new plugin, you add an extra risk that it won't work with what you've already got.
     
    #4
  5. Hadesmixtus

    Hadesmixtus Warper Member

    Messages:
    1
    Likes Received:
    0
    First Language:
    francais
    Primarily Uses:
    RMMV
    Hi, i have the same problem for 30 days. "TypeError: Cannot read properly 'height' undefined" I do everything like he say to do, i put in right order and i try so many differents ways. When YEP_X_AnimatedSVEnnemies (v.1.19) is active and my ''heros actors'' attack my ''ennemies actors'', the game stop and say "TypeError: Cannot read properly 'height' undefined". Then i need to restart the game...
    So i cant fight vs my ennemies actors.
    (Sorry for my bad english)
     
    #5
  6. Toxicon

    Toxicon Villager Member

    Messages:
    7
    Likes Received:
    0
    Location:
    Manchester, England
    First Language:
    English
    Primarily Uses:
    RMMV
    I have this same problem. If I'm supposed to change parameters in the plug-in I'm not sure what to change them to.
     
    #6
  7. Shaz

    Shaz Veteran Veteran

    Messages:
    37,960
    Likes Received:
    11,615
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    RMMV
    If someone wants to create a bare-bones project that shows this error and post it online somewhere, I might be able to take a look over the weekend and see if I can find the issue.

    Bare-bones = minimum plugins (ONLY what's required to trigger the error), NO unnecessary custom resources, single map. Enough to let me play the game and get straight to the problem. Zip it up, including the contents of the main folder, the full js and data folders, and only the added/custom resources in the other folders, so the file is as small as possible.
     
    #7
  8. Musster

    Musster Villager Member

    Messages:
    5
    Likes Received:
    0
    First Language:
    english
    Primarily Uses:
    RMMV
    The same thing happend to me pls help!
     
    #8
  9. Shaz

    Shaz Veteran Veteran

    Messages:
    37,960
    Likes Received:
    11,615
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    RMMV
    What version of MV do you have, and what version of core files? For MV version, just go to the help menu and it'll be in one of the options there. For the core files, go to your project's folder, into the js subfolder, and open the Core.js file. The version will be on the first couple of lines. If you don't see a version, you will have 1.0.0 (I think that's the only one that didn't have a version number listed).
     
    #9
  10. Musster

    Musster Villager Member

    Messages:
    5
    Likes Received:
    0
    First Language:
    english
    Primarily Uses:
    RMMV
    I have MV 1.0.1

    and rpg_Core 1.0.0

    if you want i'll give you a barebone project
     
    #10
  11. Musster

    Musster Villager Member

    Messages:
    5
    Likes Received:
    0
    First Language:
    english
    Primarily Uses:
    RMMV
    I am using YEP_CoreEngine, BattleEngineCore, AnimatedSVEnemies and the sequence packs
     
    #11
  12. Andar

    Andar Veteran Veteran

    Messages:
    28,703
    Likes Received:
    6,600
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    @Musster then you'll need to update both your editor and your project.
    As said above a lot of the current Plugins will not work with the ancient and buggy 1.0 core.
     
    #12
  13. Shaz

    Shaz Veteran Veteran

    Messages:
    37,960
    Likes Received:
    11,615
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    RMMV
    I have already received a project from someone and I've also posted the cause of the error in another thread. I don't need a project anymore, but thanks for the offer.
     
    #13
  14. Musster

    Musster Villager Member

    Messages:
    5
    Likes Received:
    0
    First Language:
    english
    Primarily Uses:
    RMMV
    I updated them and the game finally works!!!

    Thanks so much!!!!
     
    #14
Thread Status:
Not open for further replies.

Share This Page